version: "3.4"

services:
  monitoring:
    image: mathwave/sprint-repo:monitoring
    networks:
      - common-infra-nginx-development
      - clickhouse-development
    deploy:
      mode: replicated
      restart_policy:
        condition: any
      update_config:
        parallelism: 1
        order: start-first

networks:
  common-infra-nginx-development:
    external: true
  clickhouse-development:
    external: true
